Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Class AbstractSocketServer.ServerConfigurationFactory

    java.lang.Object
      org.apache.logging.log4j.core.config.ConfigurationFactory
          org.apache.logging.log4j.core.config.xml.XmlConfigurationFactory
              org.apache.logging.log4j.core.net.server.AbstractSocketServer.ServerConfigurationFactory

Enclosing class:
  AbstractSocketServer<T extends InputStream>

    protected static class AbstractSocketServer.ServerConfigurationFactory

extends XmlConfigurationFactory

Factory that creates a Configuration for the server.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.config.xml.XmlConfigurationFactory
`SUFFIXES`

Fields inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`CATEGORY, CONFIGURATION_FACTORY_PROPERTY, CONFIGURATION_FILE_PROPERTY, DEFAULT_PREFIX, LOGGER, substitutor, TEST_PREFIX`

Constructor Summary
`AbstractSocketServer.ServerConfigurationFactory(String path)`

Method Summary
`Configuration` | `getConfiguration(String name, URI configLocation)` Returns the Configuration.

Methods inherited from class org.apache.logging.log4j.core.config.xml.XmlConfigurationFactory
`getConfiguration, getSupportedTypes`

Methods inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`getConfiguration, getInputFromResource, getInputFromString, getInputFromUri, getInstance, isActive, removeConfigurationFactory, resetConfigurationFactory, setConfigurationFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSocketServer.ServerConfigurationFactory

    public AbstractSocketServer.ServerConfigurationFactory(String path)

Method Detail

### getConfiguration

    public Configuration getConfiguration(String name,
                                          URI configLocation)

  Description copied from class: `ConfigurationFactory`
  Returns the Configuration.

  Overrides:
    `getConfiguration` in class `ConfigurationFactory`
  Parameters:
    `name` - The configuration name.
    `configLocation` - The configuration location.
  Returns:
    The Configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.